%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname admin_menu

Name:    drupal%{drupalver}-%{modname}
Version: 1.8
Release: 4%{?dist}
Summary: Theme-independent administration interface for Drupal %{drupalver}
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
# See http://drupal.org/node/1216296
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
Administration menu module provides a theme-independent administration
interface (aka. "navigation", "back-end") for Drupal. It's a helper
for novice Drupal users coming from other CMS, a real time-saver for
Drupal site administrators, and definitely a must for Drupal
developers and site builders (keyword: Devel integration).

The module renders all administrative menu items below 'administer' in
a clean, attractive and purely CSS-based menu at the top of your
website. It contains not only regular menu items - local tasks are
also included, giving you extremely fast access to any administrative
resource and function your Drupal installation provides.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Paul W. Frields <stickster@gmail.com> - 1.8-1
- Update to upstream 6.x-1.8

* Tue Jul 12 2011 Paul W. Frields <stickster@gmail.com> - 1.6-2
- Include updated LICENSE.txt with correct FSF address

* Sat Apr  2 2011 Paul W. Frields <stickster@gmail.com> - 1.6-1
- Initial RPM package

